/*
 * $Id: strerror.c,v 0.7 1992/06/11 18:46:07 ceder Exp $
 * Copyright (C) 1991  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
** strerror.c
*/

static char *rcsid = "$Id: strerror.c,v 0.7 1992/06/11 18:46:07 ceder Exp $";

#include <string.h>
#include <m-config.h>

#ifndef HAVE_STRERROR

#include <stdio.h>

extern int sys_nerr;
extern const char *sys_errlist[];

const char *strerror(int eno)
{
  static char buf[20];

  if (eno < 0 || eno >= sys_nerr)
  {
    sprintf(buf, "Error %d", eno);
    return buf;
  }
  else
    return sys_errlist[eno];
}
#endif
