#
# $Id: RCS-depend.make,v 0.2 1991/09/15 09:58:40 linus Exp $
# Copyright (C) 1991  Lysator Academic Computer Association.
#
# This file is part of the LysKOM server.
# 
# LysKOM is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by 
# the Free Software Foundation; either version 1, or (at your option) 
# any later version.
# 
# LysKOM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with LysKOM; see the file COPYING.  If not, write to
# Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
# or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
# MA 02139, USA.
#
# Please mail bug reports to bug-lyskom@lysator.liu.se. 
#
depend: temp-A-Makefile temp-B-Makefile temp-C-Makefile temp-D-Makefile \
		temp-E-Makefile
	rcs -l dependencies
	rm -f dependencies
	cat temp-?-Makefile				>dependencies
	rm temp-?-Makefile temp-?-files
	echo " " | ci dependencies

temp-A-Makefile: c-indexes
	gcc -M ${TARGET} ${INCLUDES} `cat temp-A-files`	>temp-A-Makefile

temp-B-Makefile: c-indexes
	gcc -M ${TARGET} ${INCLUDES} `cat temp-B-files`	>temp-B-Makefile

temp-C-Makefile: c-indexes
	gcc -M ${TARGET} ${INCLUDES} `cat temp-C-files`	>temp-C-Makefile

temp-D-Makefile: c-indexes
	gcc -M ${TARGET} ${INCLUDES} `cat temp-D-files`	>temp-D-Makefile

temp-E-Makefile: c-indexes
	gcc -M ${TARGET} ${INCLUDES} `cat temp-E-files`	>temp-E-Makefile

c-indexes: sources
	echo ${SRCS}|tr " " \\012 |${AWK} '{ a[i++] = $$1; }				\
	   END { for ( j = 0; j < i; j++ )				\
		   print a[j] > sprintf("temp-%c-files", 65 + j % 5); }
